Changes between Initial Version and Version 1 of Ticket #15205, comment 6


Ignore:
Timestamp:
Apr 25, 2012, 2:42:27 AM (10 years ago)
Author:
MaxMotovilov
Comment:

Legend:

Unmodified
Added
Removed
Modified
  • Ticket #15205, comment 6

    initial v1  
    1010> the call to require in the built code needs to be unqualified (ie NOT `global.require`) because `global` does not exist in browsers.  my solution simply puts the appropriate `require` in scope for code that is executed via `vm.runInThisContext` and hence fixes the cause of this problem - the `require` that is in scope for the call to `vm.runInThisContext` should be `global.require` rather than the `require` provided by node to the configNode module.
    1111
    12 Well it doesn't -- for the reasons outlined below :(  Ideas?
     12Well it doesn't -- for the reasons outlined above :(  Ideas?